Name:		aranym
Version:	1.1.0
Release:	%mkrel 5
Summary:	Atari ST/TT/Falcon emulator
License:	GPLv2
Group:		Emulators
Url:		https://aranym.github.io/
Source:		https://prdownloads.sourceforge.net/%{name}/%{name}_%{version}.orig.tar.gz
# https://github.com/aranym/aranym/commit/021f75b54ad17d7f8ad9caee1068801a06ab2f24
Patch1:		0001-Use-pow10-only-if-it-exits.patch
BuildRequires:	pkgconfig(sdl) >= 1.2.12
BuildRequires:	pkgconfig(SDL_image)

%description
ARAnyM is a software virtual machine (similar to VirtualBox or Bochs)
designed and developed for running 32-bit Atari ST/TT/Falcon operating systems
(TOS, FreeMiNT, MagiC and Linux-m68k) and TOS/GEM applications on any kind of
hardware - be it an IBM clone (read it as "PC" :-), an Apple, an Unix server,
a graphics workstation or even a portable computer.

%prep
%autosetup -p1

%build
export CC_FOR_BUILD=%__cc
export CXX_FOR_BUILD=%__cxx
autoreconf -vfi
%configure
%make_build

%install
%make_install

install -Dm 0644 contrib/icon-48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -Dm 0644 contrib/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc %{_docdir}/%{name}
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/pixmaps/%{name}*.png
%{_iconsdir}/*/*/*/%{name}*.png
%{_mandir}/man?/*.*.*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.1.0-5.mga10
+ Revision: 2216247
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 1.1.0-4.mga9
+ Revision: 1839491
- Mageia 9 Mass Rebuild

* Sat Oct 24 2020 wally <wally> 1.1.0-3.mga8
+ Revision: 1639092
- fix build with autoconf > 2.69

* Tue Feb 18 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1541720
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 31 2019 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1475068
- add upstream patch to use pow10 only if it exits
+ shlomif <shlomif>
- Try to fix ARM builds
- New version 1.1.0

* Fri Sep 21 2018 umeabot <umeabot> 1.0.2-6.mga7
+ Revision: 1294479
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 wally <wally> 1.0.2-5.mga7
+ Revision: 1234524
- fix build on aarch64

* Mon Jul 03 2017 pterjan <pterjan> 1.0.2-4.mga6
+ Revision: 1109001
- As the configure says « Configuration done. Now type "make depend" (or "gmake depend") then
  "make" (or "gmake"). ».

* Fri Nov 11 2016 daviddavid <daviddavid> 1.0.2-3.mga6
+ Revision: 1066323
- use new rpm macros

* Wed Feb 10 2016 umeabot <umeabot> 1.0.2-2.mga6
+ Revision: 953104
- Mageia 6 Mass Rebuild

* Thu Jul 02 2015 daviddavid <daviddavid> 1.0.2-1.mga6
+ Revision: 849539
- new version: 1.0.2
- compile with parallel build and j4 job level

* Wed Oct 15 2014 umeabot <umeabot> 0.9.16-3.mga5
+ Revision: 743838
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.16-2.mga5
+ Revision: 677882
- Mageia 5 Mass Rebuild

* Fri May 02 2014 dams <dams> 0.9.16-1.mga5
+ Revision: 619711
- new version 0.9.16

* Wed Jan 01 2014 pterjan <pterjan> 0.9.15-4.mga4
+ Revision: 563855
- Disable parallel build as I failed to fix it

* Sat Oct 19 2013 umeabot <umeabot> 0.9.15-3.mga4
+ Revision: 527771
- Mageia 4 Mass Rebuild

* Wed Jun 12 2013 dams <dams> 0.9.15-2.mga4
+ Revision: 442179
- add icon
- add .desktop

* Wed Jun 12 2013 dams <dams> 0.9.15-1.mga4
+ Revision: 442172
- imported package aranym

